import java.awt.*;
import javax.swing.*;

/**
 * Ventana donde se desplegara el programa
 */
public class EditorFrame extends JFrame
{
   private static final int DEFAULT_WITDH  = 640;
   private static final int DEFAULT_HEIGTH = 480;
  
   /**
    * Constructor de la clase.
    * se construye un nuevo JFrame
    */
   public EditorFrame()
   {
      setTitle("Java Paint");
      
      MiPanel mipanel = new MiPanel();
      mipanel.setBounds(0, 0, DEFAULT_WITDH, DEFAULT_HEIGTH);
      JMenuBar menuBar = new MiMenuBar(mipanel);
      setJMenuBar(menuBar);
      Container contentPane = getContentPane();
      contentPane.add(mipanel);
      pack();
   }
}
