import java.awt.*;
import javax.swing.*;

/**
 * Clase extendida de JInternalFrame 
 * @author Mauricio Solis & Cesar Munoz
 *
 */
public class EditorInternalFrame extends JInternalFrame
{
  private static final int DEFAULT_WITDH  = 640;
  private static final int DEFAULT_HEIGTH = 480;
   /**
    * Constructor de la clase.
    * se construye un nuevo MiPanel
    * @param applet donde se dibujara MiPanel
    */
  public EditorInternalFrame(JApplet applet)
    {
      super("Editor de Figuras", true, false, true, true);
      
      MiPanel dibujo = new MiPanel();
      dibujo.setBounds(0, 0, DEFAULT_WITDH, DEFAULT_HEIGTH);
      JMenuBar menuBar = new MiMenuBarApplet(dibujo, applet);
      setJMenuBar(menuBar);
      Container contentPane = getContentPane();
      contentPane.add(dibujo);
      pack();
    }
}
